// 此处定义所有有关 sa-plus 的路由菜单 
// 如需添加自定义菜单，请不要更改此文件，请在 menu-list.js 里添加 (没有这个文件就新建) 
window.menuList = window.menuList || [];
window.menuList.unshift({
	id: 'bas',
	name: '身份相关',
	isShow: false, // 隐藏显示 
	info: '身份相关权限，不显示在菜单上',
	childList: [{
			id: '1',
			name: '身份-超管',
			info: '最高权限，超管身份的代表（请谨慎授权）',
			isShow: false
		},
		{
			id: '11',
			name: '身份-普通账号',
			isShow: false,
			info: '无特殊权限'
		},
		{
			id: '99',
			name: '允许进入后台管理',
			isShow: false,
			info: '只有拥有这个权限的角色才可以进入后台'
		},
	]
}, {
	id: 'console',
	name: '监控中心',
	icon: 'el-icon-view',
	info: '对本系统的各种监控',
	parent: true,
	childList: [{
			id: 'sql-console',
			name: 'SQL监控台',
			url: 'sa-view-sp/sp-console/sql-console.html',
			info: 'sql控制台'
		},
		{
			id: 'redis-console',
			name: 'Redis控制台',
			url: 'sa-view-sp/sp-console/redis-console.html',
			info: 'redis常用工具'
		},
		{
			id: 'apilog-list',
			name: 'API请求日志',
			url: 'sa-view-sp/sp-apilog/api-log-list.html',
			info: '记录本系统所有的api请求'
		},
		{
			id: 'form-generator',
			name: '在线表单构建',
			url: 'https://mrhj.gitee.io/form-generator/#/'
		},
	]
}, {
	id: 'auth',
	name: '权限控制',
	parent: true,
	icon: 'el-icon-unlock',
	info: '对系统角色权限的分配等设计，敏感度较高，请谨慎授权',
	childList: [{
			id: 'role-list',
			name: '角色列表',
			url: 'sa-view-sp/sp-role/role-list.html',
			info: '管理系统各种角色',
			childList: [{
				id: 'role-add',
				name: '添加角色',
				info: '添加角色的权限',
				isShow: false
			}]
		},
		{
			id: 'menu-list',
			name: '菜单列表',
			url: 'sa-view-sp/sp-role/menu-list.html',
			info: '所有菜单项预览'
		},
		{
			id: 'admin-list',
			name: '管理员列表',
			url: 'sa-view-sp/sp-admin/admin-list.html',
			info: '所有管理员账号'
		},
		{
			id: 'admin-add',
			name: '管理员添加',
			url: 'sa-view-sp/sp-admin/admin-add.html',
			info: '添加一个管理员'
		},
		// {id: 'apilog-list', name: '请求日志监控', url: 'sa-view-sp/sp-apilog/api-log-list.html', info: '记录本系统所有的api请求'},
	]
}, {
	id: 'sp-cfg',
	name: '系统配置',
	icon: 'el-icon-setting',
	parent: true,
	info: '有关系统的一些配置',
	childList: [{
			id: 'sp-cfg-app',
			name: '系统对公配置',
			url: 'sa-view-sp/sp-cfg/app-cfg.html'
		},
		{
			id: 'sp-cfg-server',
			name: '服务器私有配置',
			url: 'sa-view-sp/sp-cfg/server-cfg.html'
		},
		{
			id: 'tb-port-news-list',
			name: '口岸资讯管理',
			url: 'sa-view/tb-port-news/tb-port-news-list.html',
			childList: [{
					id: 'tb-port-news-add',
					name: '口岸资讯添加',
					isShow: true
				},
				{
					id: 'tb-port-news-edit',
					name: '口岸资讯更新',
					isShow: true
				},
				{
					id: 'tb-port-news-del',
					name: '口岸资讯删除',
					isShow: true
				},
			]
		},
		{
			id: 'tb-banner-list',
			name: '轮播图',
			url: 'sa-view/tb-banner/tb-banner-list.html',
			childList: [{
					id: 'tb-banner-add',
					name: '轮播图添加',
					isShow: true
				},
				{
					id: 'tb-banner-edit',
					name: '轮播图更新',
					isShow: true
				},
				{
					id: 'tb-banner-del',
					name: '轮播图删除',
					isShow: true
				},
			]
		},
		{
			id: 'tb-agreement-list',
			name: '隐私政策&协议',
			url: 'sa-view/tb-agreement/tb-agreement-list.html',
			childList: [{
					id: 'tb-agreement-add',
					name: '协议表添加',
					isShow: true
				},
				{
					id: 'tb-agreement-edit',
					name: '协议表更新',
					isShow: true
				},
				{
					id: 'tb-agreement-del',
					name: '协议表删除',
					isShow: true
				},
			]
		},
	]
}, {
	id: 'tb-base-data',
	name: '基础数据管理',
	parent: true,
	icon: 'el-icon-copy-document',
	childList: [{
			id: 'tb-trade-area',
			icon: 'el-icon-s-management',
			name: '贸易区域管理',
			url: 'sa-view/tb-trade-area/tb-trade-area-list.html',
			childList: [{
					id: 'tb-trade-area-add',
					name: '贸易区域添加',
					isShow: false
				},
				{
					id: 'tb-trade-area-edit',
					name: '贸易区域更新',
					isShow: false
				},
				{
					id: 'tb-trade-area-del',
					name: '贸易区域删除',
					isShow: false
				},
			]
		},
		{
			id: 'tb-group',
			icon: 'el-icon-s-data',
			name: '互助组管理',
			url: 'sa-view/tb-group/tb-group-list.html',
			childList: [{
					id: 'tb-group-add',
					name: '互助组添加',
					isShow: false
				},
				{
					id: 'tb-group-edit',
					name: '互助组更新',
					isShow: false
				},
				{
					id: 'tb-group-del',
					name: '互助组删除',
					isShow: false
				},
				{
					id: 'tb-member-list',
					name: '查寻组内成员',
					isShow: false
				},
			]
		},
		{
			id: 'tb-people',
			icon: 'el-icon-user',
			name: '边民管理',
			url: 'sa-view/tb-people/tb-people-list.html',
			childList: [{
					id: 'tb-people-add',
					name: '边民添加',
					isShow: false
				},
				{
					id: 'tb-people-edit',
					name: '边民更新',
					isShow: false
				},
				{
					id: 'tb-people-del',
					name: '边民删除',
					isShow: false
				},
			]
		},

		{
			id: 'tb-enterprise-judge',
			icon: 'el-icon-s-check',
			name: '商户审核',
			url: 'sa-view/tb-enterprise/tb-enterprise-judge.html',
			childList: [{
				id: 'tb-enterprise-judge',
				name: '商户审核',
				isShow: false
			}, ]
		},
		{
			id: 'tb-enterprise',
			icon: 'el-icon-film',
			name: '商户列表',
			url: 'sa-view/tb-enterprise/tb-enterprise-list.html',
			childList: [{
					id: 'tb-enterprise-add',
					name: '商家添加',
					isShow: false
				},
				{
					id: 'tb-enterprise-edit',
					name: '商家更新',
					isShow: false
				},
				{
					id: 'tb-enterprise-del',
					name: '商家删除',
					isShow: false
				},
			]
		},
		{
			id: 'tb-shop',
			icon: 'el-icon-receiving',
			name: '商铺管理',
			url: 'sa-view/tb-shop/tb-shop-list.html',
			childList: [{
					id: 'tb-shop-add',
					name: '商铺添加',
					isShow: false
				},
				{
					id: 'tb-shop-edit',
					name: '商铺更新',
					isShow: false
				},
				{
					id: 'tb-shop-del',
					name: '商铺删除',
					isShow: false
				},
			]
		},
		{
			id: 'tb-message',
			name: '通知消息',
			icon: 'el-icon-receiving',
			url: 'sa-view/tb-message/tb-message-list.html',
			childList: [{
					id: 'tb-message-add',
					name: '通知消息添加',
					isShow: false
				},
				{
					id: 'tb-message-edit',
					name: '通知消息更新',
					isShow: false
				},
				{
					id: 'tb-message-del',
					name: '通知消息删除',
					isShow: false
				},
			]
		},
	]

}, {
	id: 'app-setting',
	name: '移动端管理',
	icon: 'el-icon-mobile-phone',
	parent: true,
	childList: [{
			id: 'app-menu',
			icon: 'el-icon-s-operation',
			name: '菜单管理',
			url: 'sa-view/app-menu/app-menu-list.html',
			childList: [{
					id: 'app-menu-add',
					name: 'app菜单管理添加',
					isShow: false
				},
				{
					id: 'app-menu-edit',
					name: 'app菜单管理更新',
					isShow: false
				},
				{
					id: 'app-menu-del',
					name: 'app菜单管理删除',
					isShow: false
				},
			]
		},
		{
			id: 'app-role',
			icon: 'el-icon-user-solid',
			name: '角色管理',
			url: 'sa-view/app-role/app-role-list.html',
			childList: [{
					id: 'app-role-add',
					name: '添加',
					isShow: false
				},
				{
					id: 'app-role-edit',
					name: '更新',
					isShow: false
				},
				{
					id: 'app-role-del',
					name: '删除',
					isShow: false
				},
			]
		},
	]
}, {
	id: 'trade-manager',
	name: '贸易管理',
	parent: true,
	icon: 'el-icon-s-unfold',
	childList: [

		{
			id: 'tb-goods-units',
			name: '计价单位',
			url: 'sa-view/tb-goods-units/tb-goods-units-list.html',
			childList: [{
					id: 'tb-goods-units-add',
					name: '计价单位添加',
					isShow: false
				},
				{
					id: 'tb-goods-units-edit',
					name: '计价单位更新',
					isShow: false
				},
				{
					id: 'tb-goods-units-del',
					name: '计价单位删除',
					isShow: false
				},
			]
		},
		{
			id: 'tb-goods-type',
			name: '商品分类',
			url: 'sa-view/tb-goods-type/tb-goods-type-list.html',
			childList: [{
					id: 'tb-goods-type-add',
					name: '商品分类添加',
					isShow: true
				},
				{
					id: 'tb-goods-type-edit',
					name: '商品分类更新',
					isShow: true
				},
				{
					id: 'tb-goods-type-del',
					name: '商品分类删除',
					isShow: true
				},
			]
		},
		{
			id: 'tb-goods',
			name: '监管商品',
			url: 'sa-view/tb-goods/tb-goods-list.html',
			childList: [{
					id: 'tb-goods-add',
					name: '商品添加',
					isShow: false
				},
				{
					id: 'tb-goods-edit',
					name: '商品更新',
					isShow: false
				},
				{
					id: 'tb-goods-del',
					name: '商品删除',
					isShow: false
				},
			]
		},
		{
			id: 'tb-goods-demand',
			name: '收购需求',
			url: 'sa-view/tb-goods-demand/tb-goods-demand-list.html',
			childList: [{
					id: 'tb-goods-demand-add',
					name: '二级收购商需求发布表添加',
					isShow: false
				},
				{
					id: 'tb-goods-demand-edit',
					name: '二级收购商需求发布表更新',
					isShow: false
				},
				{
					id: 'tb-goods-demand-del',
					name: '二级收购商需求发布表删除',
					isShow: false
				},
			]
		},
		{
			id: 'order-list',
			name: '订单管理',
			parent: true,
			icon: 'el-icon-s-grid',
			childList: [{
					id: 'tb-order',
					name: '一级市场订单',
					url: 'sa-view/tb-order/tb-order-list.html'
				},
				{
					id: 'tb-two-market-orders',
					name: '二级市场订单',
					url: 'sa-view/tb-two-market-orders/tb-two-market-orders-list.html'
				}
			]
		},
		{
			id: 'tb-order-after-sale-list',
			name: '售后管理',
			url: 'sa-view/tb-order-after-sale/tb-order-after-sale-list.html',
		},
	]
}, {
	id: 'transport-sys',
	name: '货运管理',
	parent: true,
	icon: 'el-icon-s-grid',
	childList: [{
			id: 'tb-driver',
			icon: 'el-icon-s-custom',
			name: '司机管理',
			url: 'sa-view/tb-driver/tb-driver-list.html',
			childList: [{
					id: 'tb-driver-add',
					name: '司机添加',
					isShow: true
				},
				{
					id: 'tb-driver-edit',
					name: '司机更新',
					isShow: true
				},
				{
					id: 'tb-driver-del',
					name: '司机删除',
					isShow: true
				},
			]
		},
		{
			id: 'tb-vehicle',
			icon: 'el-icon-s-check',
			name: '车辆管理',
			url: 'sa-view/tb-vehicle/tb-vehicle-list.html',
			childList: [{
					id: 'tb-vehicle-add',
					name: '车辆添加',
					isShow: true
				},
				{
					id: 'tb-vehicle-edit',
					name: '车辆更新',
					isShow: true
				},
				{
					id: 'tb-vehicle-del',
					name: '车辆删除',
					isShow: true
				},
			]
		},
		{
			id: 'tb-orders',
			name: '物流订单表',
			icon: 'el-icon-folder-opened',
			parent: true,
			info: '物流订单表表数据的维护',
			childList: [{
				id: 'tb-orders',
				name: '物流订单表-列表',
				url: 'sa-view/tb-orders/tb-orders-list.html'

			}, ]
		},
	]
}, );